Bug 693890 - Czech "cs" keymap shipped is uncomplete and has several problems
Czech "cs" keymap shipped is uncomplete and has several problems
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
20
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jon Disnard
Fedora Extras Quality Assurance
: i18n, Triaged
: 904117 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 16:22 EDT by Martin Zidek
Modified: 2015-06-29 07:36 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904117 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
fixed cs keymap by Jaroslav Jiricka (1.50 KB, application/octet-stream)
2011-04-05 16:22 EDT, Martin Zidek
no flags Details
additional keymap Jaroslav Jiricka (1.53 KB, application/octet-stream)
2011-04-05 16:23 EDT, Martin Zidek
no flags Details

  None (edit)
Description Martin Zidek 2011-04-05 16:22:32 EDT
Created attachment 490071 [details]
fixed cs keymap by Jaroslav Jiricka

Description of problem:

Czech "cs" keymap shipped in Fedora package is uncomplete and has several problems which make it unusable, such as remapping the small letter e to Euro sign. Special characters written using right alt also don't work.

Version-Release number of selected component (if applicable):

rdesktop-1.6.0-10.fc14.x86_64

How reproducible:

Run rdesktop with locale set to cs_CZ.utf8 and connect to czech windows with CS keyboard set in windows. Now try to type letter "e", Euro sign will appear.

Steps to Reproduce:
1. set locale to czech language cs_CZ.utf8 and keyboard to czech quertz
2. connect to czech windows with CS keyboard set in windows
3. try to type letter "e"
  
Actual results:

 Euro sign will appear

Expected results:

letter e should appear

Additional info:

Problem has been reported upstream

http://sourceforge.net/tracker/index.php?func=detail&aid=1725634&group_id=24366&atid=381349

attached keymaps cs and additional works ok. Rdesktop rpm should ship with those files.
Comment 1 Martin Zidek 2011-04-05 16:23:12 EDT
Created attachment 490072 [details]
additional keymap Jaroslav Jiricka
Comment 2 Dušan Hokův 2011-06-23 07:56:45 EDT
Same issue in Fedora 15, described simple patch solved the problem.
Comment 3 Akira TAGOH 2011-12-05 06:06:31 EST
Does this still persist in f16 say?
Comment 4 Martin Zidek 2012-01-25 05:29:00 EST
Issue still present in f16, tested on f16 rdesktop-1.7.0-1.fc16
Comment 5 Ladislav Nesnera 2012-11-21 16:56:15 EST
This problem persists in rdesktop.x86_64 1.7.0-2.fc17  :(
I tried patch above but it doesn't work well for me - czech specific keys are duplicated - e.g. pressing key 5 (in en-us layout) gives řř not ř. Maybe I used it by wrong way (I substituted /usr/share/rdesktop/keymaps/cs by this patch)
I found out this version of keymap - https://www.abclinuxu.cz/poradna/linux/show/181220#10  and I know about only one problem (AltGr+v should generate @ but do nothing), nevertheless it's much, much better then current state).
Btw - FreeRDP works well outofbox..
Comment 6 Fedora End Of Life 2013-01-16 12:30:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jens Petersen 2013-02-07 01:20:51 EST
How about F18?
Comment 8 Martin Zidek 2013-02-11 06:57:00 EST
Bug still present in F18, tested with rdesktop-1.7.1-1.fc18.x86_64
Comment 9 Dominik 'Rathann' Mierzejewski 2013-08-11 19:39:44 EDT
*** Bug 904117 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2013-12-21 03:27:25 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Jens Petersen 2014-01-22 01:15:45 EST
Still having in current Fedora releases?
Comment 12 Martin Zidek 2014-01-27 03:35:23 EST
Bug is still present in Fedora 20.


Tested on Fedora live, Gnome desktop with czech region and czech keyboard using rdesktop 1.8.1-1.fc20 on x86_64 connecting to czech Windows 2012 server Standard.
Comment 13 Parag Nemade 2014-01-27 04:00:52 EST
I don't think discussing the issue raised in this bug here will help. Good to submit the patches to upstream http://sourceforge.net/p/rdesktop/patches/

Discuss your issue with upstream developers and get it fixed in upstream only. When upstream releases new tarball with your suggested fix, it will be available in Fedora soon.
Comment 14 Dominik 'Rathann' Mierzejewski 2014-05-21 09:28:56 EDT
Please check if the latest 1.8.2 build from koji fixes things for you:
https://koji.fedoraproject.org/koji/buildinfo?buildID=517957
Comment 15 Martin Zidek 2014-06-05 02:26:43 EDT
Tested rdesktop-1.8.2-1.fc20.i686 under fc20. Still same problems with czech keyboard mapping.
Comment 16 Jon Disnard 2014-06-05 11:45:41 EDT
It would seem the patch has been accepted upstream [1], and intended for inclusion in the next release. With that acknowledgement we may go forward to include the patch in Fedora, to solve this issues now. When the next version arrives the patch would be dropped.

[1] http://sourceforge.net/p/rdesktop/patches/138/?limit=10&page=1#f63d
Comment 17 Martin Zidek 2014-06-06 02:34:08 EDT
Thanks for this info. Could you please post here when new version will be available in rpm for fc ? I will test it again.
Comment 18 Fedora End Of Life 2015-05-29 04:38:53 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 07:36:14 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.